downgrading from postfix-3.4 fails - unix-dgram

classic Classic list List threaded Threaded
5 messages Options
Reply | Threaded
Open this post in threaded view
|

downgrading from postfix-3.4 fails - unix-dgram

Eray Aslan-2
Downgrading from postfix-3.4 fails with:

[...]
Updating /var/tmp/portage/mail-mta/postfix-3.3.2/image//usr/share/man/man8/smtp.8...
Updating /var/tmp/portage/mail-mta/postfix-3.3.2/image//usr/share/man/man8/smtpd.8...
Updating /var/tmp/portage/mail-mta/postfix-3.3.2/image//usr/share/man/man8/spawn.8...
Updating /var/tmp/portage/mail-mta/postfix-3.3.2/image//usr/share/man/man8/tlsproxy.8...
Updating /var/tmp/portage/mail-mta/postfix-3.3.2/image//usr/share/man/man8/tlsmgr.8...
Updating /var/tmp/portage/mail-mta/postfix-3.3.2/image//usr/share/man/man8/trace.8...
Updating /var/tmp/portage/mail-mta/postfix-3.3.2/image//usr/share/man/man8/trivial-rewrite.8...
Updating /var/tmp/portage/mail-mta/postfix-3.3.2/image//usr/share/man/man8/verify.8...
Updating /var/tmp/portage/mail-mta/postfix-3.3.2/image//usr/share/man/man8/virtual.8...
bin/postconf: fatal: invalid type field "unix-dgram" in "postlog   unix-dgram n  -       n       -       1       postlogd"

Just letting you know.

--
Eray
Reply | Threaded
Open this post in threaded view
|

Re: downgrading from postfix-3.4 fails - unix-dgram

@lbutlr


> On 1 Feb 2019, at 01:19, Eray Aslan <[hidden email]> wrote:
>
> Downgrading from postfix-3.4 fails with:

What exactly do you mean by "Downgrading? And how, exactly, did you attempt to do this?

> 3.3.2/image//usr/share/man/man8/virtual.8...
> bin/postconf: fatal: invalid type field "unix-dgram" in "postlog   unix-dgram n  -       n       -       1       postlogd"

looks like unix-gram is unknown in postfix 3.3.2?

Is downgrading a supported action?

Is this a postfix issue or a ports/apt-get issue?


--
Can I borrow your underpants for 10 minutes?

Reply | Threaded
Open this post in threaded view
|

Re: downgrading from postfix-3.4 fails - unix-dgram

B. Reino
In reply to this post by Eray Aslan-2
On Fri, 1 Feb 2019, Eray Aslan wrote:

> Downgrading from postfix-3.4 fails with:
>
[...]
> bin/postconf: fatal: invalid type field "unix-dgram" in "postlog   unix-dgram n  -       n       -       1       postlogd"
>
> Just letting you know.

If you downgrade, you also have to "downgrade" the config :)
AFAIK postlogd didn't exist until 3.4

Cheers.
Bernardo Reino.

Reply | Threaded
Open this post in threaded view
|

Re: downgrading from postfix-3.4 fails - unix-dgram

Wietse Venema
In reply to this post by Eray Aslan-2
Eray Aslan:
> Downgrading from postfix-3.4 fails with:

As documented in RELEASE_NOTES.

Incompatible changes with snapshot 20190126-nonprod
====================================================

This introduces a new master.cf service type 'unix-dgram' that is
used by the new postlogd(8) daemon. This type is not supported by
older Postfix versions. Before backing out to an Postfix 3.3 or
earlier, edit the master.cf file and remove the postlog entry.

Reply | Threaded
Open this post in threaded view
|

Re: downgrading from postfix-3.4 fails - unix-dgram

Eray Aslan-2
On Fri, Feb 01, 2019 at 07:11:30AM -0500, Wietse Venema wrote:
> Eray Aslan:
> > Downgrading from postfix-3.4 fails with:
>
> As documented in RELEASE_NOTES.
>
> Incompatible changes with snapshot 20190126-nonprod
> ====================================================

I thought those got mentioned in HISTORY file as well.  Anyway, thanks.

--
Eray